@use 'sass/base';
@use 'sass/size';
@use 'sass/color';

.grid-item {
  min-width: 100%;
  .radio-container {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-flow: column nowrap;
    gap: 0.5 * size.$gap;
    margin: 0.5 * size.$gap 0;
  }
  &.sub-header {
    background-color: transparent !important;
    min-width: 100%;
    position: relative;
    .title {
      justify-content: center !important;
      h2 {
        z-index: 1;
        background: color.$card;
        padding: 0 0.5 * size.$gap;
      }
      &::before {
        // draws line
        content: '';
        position: absolute;
        height: 1px;
        left: 0;
        right: 0;
        margin: auto 0;
        background-color: rgba(0, 0, 0, 0.12); // same as mat-divider
      }
    }
  }
}

.optimization-methods {
  .mat-divider {
    margin: 0.5 * size.$gap 0;
  }
}

.left-container {
  flex: 3 !important;
}
